Subject: Re: bug#19626: 25.0.50; eshell: extended directory syntax ("...") does not complete

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Aug 2021 18:47:27 +0200

"Michalis V." <[email-masked]> writes:

>> (defun eshell-expand-multiple-dots (filename)
>>   "Convert `...' to `../..', `....' to `../../..', etc..
>
> oops, i wasn't even aware of this eshell feature, sorry about that!

I didn't know about it either.  :-)

> i'm not sure whether this is the correct solution to this problem so if
> there are any concerns please let me know and i'll continue the digging

Thanks.  Looking at the code and the patch, that does seem right the
right solution, so I've now pushed it to Emacs 28.  (But I'm not really
very familiar with eshell.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no